name: taxglide
description: "A new Flutter project."

publish_to: 'none' # private project

version: 1.0.0+1

environment:
  sdk: ">=3.8.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.8
  flutter_svg: ^2.2.1
  get: ^4.7.2
  redux: ^5.0.0
  flutter_redux: ^0.10.0
  http: ^1.5.0
  flutter_riverpod: ^3.0.3
  
  animated_notch_bottom_bar: ^1.0.3
  firebase_core: ^4.2.0
  flutter_secure_storage: ^9.2.4
  firebase_messaging: ^16.0.3
  dropdown_button2: ^2.3.9
  dropdown_textfield: ^1.2.0
  image_picker: ^1.2.0
  permission_handler: ^12.0.1
  device_info_plus: ^12.2.0
  path: ^1.9.1
  cached_network_image: ^3.4.1
  file_picker: ^10.3.3
  dio: ^5.9.0
  open_filex: ^4.7.0
  url_launcher: ^6.3.2
  photo_view: ^0.15.0
  carousel_slider: ^5.1.1
  gal: ^2.3.2
  web_socket_channel: ^3.0.2
  flutter_local_notifications: ^18.0.1
  curved_labeled_navigation_bar: ^2.0.6
  http_parser: ^4.1.2

  
  
  

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  flutter_launcher_icons: ^0.13.1

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/taxglidelogo.png"
  image_path_ios: "assets/images/taxglidelogo_ios.png"
  min_sdk_android: 21
  adaptive_icon_background: "#FFFFFF"
  adaptive_icon_foreground: "assets/images/taxglidelogo_android.png"
  remove_alpha_ios: true

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/svgs/


  fonts:
    # =========================
    # Gilroy Font Family
    # =========================
    - family: Gilroy
      fonts:
        - asset: assets/fonts/Gilroy-Regular.ttf
    - family: Gilroy-Thin
      fonts:
        - asset: assets/fonts/Gilroy-Thin.ttf
    - family: Gilroy-UltraLight
      fonts:
        - asset: assets/fonts/Gilroy-UltraLight.ttf
    - family: Gilroy-Light
      fonts:
        - asset: assets/fonts/Gilroy-Light.ttf
    - family: Gilroy-Regular
      fonts:
        - asset: assets/fonts/Gilroy-Regular.ttf
    - family: Gilroy-Medium
      fonts:
        - asset: assets/fonts/Gilroy-Medium.ttf
    - family: Gilroy-SemiBold
      fonts:
        - asset: assets/fonts/Gilroy-SemiBold.ttf
    - family: Gilroy-Bold
      fonts:
        - asset: assets/fonts/Gilroy-Bold.ttf
    - family: Gilroy-ExtraBold
      fonts:
        - asset: assets/fonts/Gilroy-ExtraBold.ttf
    - family: Gilroy-Black
      fonts:
        - asset: assets/fonts/Gilroy-Black.ttf
    - family: Gilroy-Heavy
      fonts:
        - asset: assets/fonts/Gilroy-Heavy.ttf
